package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.TpEquipment;

/**
 * <p>
 * 设备表 服务类
 * </p>
 *
 * @author weiximei
 * @since 2019-04-15
 */
public interface ITpEquipmentService extends IService<TpEquipment> {

    /**
     * 根据小区id 和 设备类型
     * @param userElement
     * @param equipmentType
     * @return
     */
    ResponseBean getAllByCommunityAndEquipmentType(UserElement userElement, Integer equipmentType);

}
